@Echo Off
TITLE 《宇宙传奇1-3合集》
:start
CLS
COLOR 2f
mode con cols=60 lines=30
:GameMain
echo.
echo          1、《宇宙传奇1》		
echo.
echo          2、《宇宙传奇2》
echo.
echo		 3、《宇宙传奇3》
echo.
echo          0、退出
echo.
set "select="
set/p select= 请输入游戏对应的数字，按回车进入游戏：
if "%select%"=="1" (goto Game1) 
if "%select%"=="2" (goto Game2)
if "%select%"=="3" (goto Game3) 
if "%select%"=="0" (goto GameExit)
goto :eof

:Game1
cls
cd DOSBOX
DOSBox.exe -conf "..\Space Quest 1\dosboxSQ1.conf" -conf "..\Space Quest 1\dosboxSQ1_single.conf" -noconsole -c exit
cd..
goto GameMain
:Game2
cls
cd DOSBOX
DOSBox.exe -conf "..\Space Quest 2\dosboxSQ2.conf" -conf "..\Space Quest 2\dosboxSQ2_single.conf" -noconsole -c exit
cd..
goto GameMain
:Game3
cls
cd DOSBOX
DOSBox.exe -conf "..\Space Quest 3\dosboxSQ3.conf" -conf "..\Space Quest 3\dosboxSQ3_single.conf" -noconsole -c exit
cd..
goto GameMain

:GameExit
exit